import { UiLocalDateFieldConfig, UiLocalDateFieldCommandHandler, UiLocalDateFieldEventSource } from "../../../generated/UiLocalDateFieldConfig";
import { TeamAppsUiContext } from "../../TeamAppsUiContext";
import { AbstractUiDateField } from "./AbstractUiDateField";
declare type LocalDate = [number, number, number];
export declare class UiLocalDateField extends AbstractUiDateField<UiLocalDateFieldConfig, LocalDate> implements UiLocalDateFieldEventSource, UiLocalDateFieldCommandHandler {
    protected initialize(config: UiLocalDateFieldConfig, context: TeamAppsUiContext): void;
    isValidData(v: LocalDate): boolean;
    protected displayCommittedValue(): void;
    getTransientValue(): LocalDate;
    getReadOnlyHtml(value: LocalDate, availableWidth: number): string;
    valuesChanged(v1: LocalDate, v2: LocalDate): boolean;
}
export {};
